cURL
curl --request GET \ --url https://app.sure.am/api/v1/holdings/{id} \ --header 'X-Api-Key: <api-key>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "date": "2023-12-25", "qty": 123, "price": "<string>", "amount": "<string>", "currency": "<string>", "cost_basis_source": "<string>", "account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "account_type": "<string>" }, "security": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ticker": "<string>", "name": "<string>" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "avg_cost": "<string>" }
API key for authentication. Generate one from your account settings.
Holding ID
holding retrieved
Number of units held
Formatted price per unit
Formatted total value
Source of cost basis calculation
Show child attributes
Formatted average cost per unit
Was this page helpful?